#include <stdio.h>
#include <string.h>
#include <math.h>
#define maxL 20000000
struct sparse {
	int pos;
	double val;
};
char tmps[maxL];
int main(int argc, char** argv)
{
	if (argc < 3)
	{
		printf("error! too few args.\n");
		printf("convert filename label-for-1");
		return 0;
	}
	char finname[100];
	char foutname[100];
	sprintf_s(finname, 100, "%s.dat", argv[1]);
	sprintf_s(foutname, 100, "%s-helper.txt", argv[1]);
	fprintf(stdout, "reading from %s, writing to %s.\n", finname, foutname);
	FILE * fin;
	fopen_s(&fin, finname, "r");
	FILE * fout;
	fopen_s(&fout, foutname, "w");
	int label_for_1;
	sscanf_s(argv[2], "%i", &label_for_1);


	//n
	//label (string?)
	// n*line
	int n = 0;
	while (true)
	{
		if (fscanf_s(fin, "%*[^\n]\n")==-1)
			break;
		n++;
	}
	fprintf_s(fout, "%i\n", n);
	fprintf_s(fout, "%s\n", argv[2]);
	fclose(fin);
	fopen_s(&fin, finname, "r");
	for (int line = 0; line < n;line++)
	{
		fscanf_s(fin, "%[^\n]\n",tmps,maxL);
		size_t slen=strlen(tmps);
		if (slen>maxL-5)
		{
			printf("Wrong! Not enough space!\n");
			return 0;
		}
		int counter = 0;
		for (int i = 0; i < strlen(tmps); i++)
			if (tmps[i]==':')
				counter++;
		fprintf_s(fout, "%i\n", counter);
	}
	fclose(fin);
	fclose(fout);
}
