package VR.my_util

/**
  * Created by YY on 2016/1/26.
  */
object BatchRunner {
  //run multiple options at a time.
  //just pass the commands to runner.

  def gen_PCA_1 ():Unit={
    val n=500.toString
    val d=200.toString
    val delta:Array[Double]=Array(0, 1e-4,  5e-4,  1e-3, 5e-3, 1e-2,  5e-2, 1e-1, 2e-1, 3e-1, 4e-1,  5e-1, 0.6,0.7,0.8,0.9, 1.0)
    val step_size:Array[Double]=
      Array(1e-3, 2e-3, 3e-3, 4e-3, 5e-3, 6e-3, 7e-3, 8e-3, 9e-3,
            1e-2, 2e-2, 3e-2, 4e-2, 5e-2, 6e-2, 7e-2, 8e-2, 9e-2,
            1e-1, 2e-1, 3e-1, 4e-1, 5e-1, 6e-1, 7e-1, 8e-1, 9e-1,
            1,2,3,4,5)
    for (cur_delta<-delta){
      for (step<-step_size)
        Runner.main(Array("--PCA1",n,d,cur_delta.toString, step.toString,"200"))
      Runner.main(Array("--PCA1",n,d,cur_delta.toString, "0.1","2000","--get_ans"))
      System.gc()
    }
  }

  def gen_PCA_2 ():Unit={
    val n=500.toString
    val d=200.toString
    val delta:Array[Double]=Array(0, 1,2, 5, 10, 20, 40,  50, 80, 100,200)
    val step_size:Array[Double]=
      Array(
        1e-4, 2e-4, 3e-4, 4e-4, 5e-4, 6e-4, 7e-4, 8e-4, 9e-4,
        1e-3, 2e-3, 3e-3, 4e-3, 5e-3, 6e-3, 7e-3, 8e-3, 9e-3,
        1e-2, 2e-2, 3e-2, 4e-2, 5e-2, 6e-2, 7e-2, 8e-2, 9e-2,
        1e-1, 2e-1, 3e-1, 4e-1, 5e-1, 6e-1, 7e-1, 8e-1, 9e-1,
        1, 2, 3,4,5)
    for (cur_delta<-delta){
      for (step<-step_size)
        Runner.main(Array("--PCA2",n,d,cur_delta.toString, step.toString, "200"))
      Runner.main(Array("--PCA2",n,d,cur_delta.toString, "0.1","2000","--get_ans"))
    }
  }
  def main(args: Array[String]): Unit = {
    println("Starting here.!")

    gen_PCA_1()
    gen_PCA_2()
    System.gc()
  }
  //should run collector every time we finish a thread.
}
